# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/BasicBot/Pluggable/Module.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Module/Load.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(URI/Find/Rule.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Bot-BasicBot-Pluggable-Module-WWWShorten
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Shorten all urls
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MD/MDOM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
By loading this module your bot will check all messages for an url and.will reply with an shortened url and its title if the url links to an
html document. The bot will use TinyURL as default to generate a shorter
uri but the module supports all services provided by the WWW::Shorten manpage.

 user> !load WWWShorten
 bot > Okay.
 user> http://www.heise.de
 bot > http://tinyurl.com/48z [ heise online - Home ]


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/B*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

